Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.simprocs
Class UserRecord

    java.lang.Object
      umontreal.iro.lecuyer.simprocs.UserRecord

    public class UserRecord

extends Object

This class represents a record object to store information related to the request of a process for a `Resource` or for `Bin` tokens, or when a process waits for a `Condition`. A `UserRecord` is created for each process request. The record contains the number of units requested or used, the associated process, and the simulation time when the request was made. Lists of processes waiting for a `Resource`, `Bin`, or `Condition`, for example, contain `UserRecord` objects.

Method Summary
`int` | `getNumUnits()` Returns the number of units requested or used by the associated process.
`SimProcess` | `getProcess()` Returns the process object associated with this record.
`double` | `getRequestTime()` Return the time of creation of this record.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNumUnits

    public int getNumUnits()

  Returns the number of units requested or used by the associated process.

  Returns:
    the number of requested or used units

### getProcess

    public SimProcess getProcess()

  Returns the process object associated with this record.

  Returns:
    the process associated to this record

### getRequestTime

    public double getRequestTime()

  Return the time of creation of this record.

  Returns:
    the simulation time of the record creation

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.